Skip to main content
POST
/
generation
/
vidu
/
q2
Vidu Q2 Image
curl --request POST \
  --url https://open.skills.video/api/v1/generation/vidu/q2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Vidu Q2 image generation model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

A text description of the image you want to generate

image_urls
string[]

Reference images (up to 3)

Maximum array length: 3
aspect_ratio
enum<string>
default:1:1

Aspect ratio of the generated image

Available options:
1:1,
9:16,
16:9
output_format
enum<string>
default:jpg

Format of the output image

Available options:
jpg,
png
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Input · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.